%define fullreltag .Final_redhat_3
%define namedreltag .Final-redhat-3
%global namedversion %{version}%{?namedreltag}

%define section free

Name:           jbossas-javadocs
Version:        7.3.1
Release:        3%{?fullreltag}%{?dist}
Epoch:          0
Group:          Development/Documentation
Summary:        Javadocs for the JBoss EAP 6 AS
License:        OpenSource
URL:            https://github.com/jbossas/jboss-as
%if 0
# Built elsewhere by Ondrej Zizka
wget http://download.lab.bos.redhat.com/devel/staging/JBEAP/JBEAP-6.2.1.CR4/jboss-eap-6.2.1.CR4-javadoc.zip
%endif
Source0:        jboss-eap-6.2.1.CP.CR4-javadoc.zip

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# Remove all (now stale) individual javadoc subpackages shipped with GA
%if "%{?rhel}" == "6"
Obsoletes: apache-commons-configuration-javadoc = 1.6-6.redhat_1.ep6.el6
Obsoletes: atinject-javadoc = 1-8.2_redhat_1.ep6.el6.1
Obsoletes: dom4j-javadoc = 1.6.1-11.8_redhat_1.ep6.el6.1
Obsoletes: glassfish-jaf-javadoc = 1.1.1-11.redhat_1.ep6.el6
Obsoletes: glassfish-javamail-javadoc = 1.4.4-11_redhat_1.ep6.el6
Obsoletes: glassfish-jsf12-javadoc = 1.2_15-8_b01_redhat_1.ep6.el6
Obsoletes: glassfish-jsf-javadoc = 2.1.7-1_redhat_1.4.ep6.el6
Obsoletes: hibernate3-commons-annotations-javadoc = 4.0.1-2.Final_redhat_1.1.ep6.el6
Obsoletes: hibernate4-validator-javadoc = 4.2.0-4.Final_redhat_1.1.ep6.el6
Obsoletes: httpserver-javadoc = 1.0.1-2.Final_redhat_1.ep6.el6
Obsoletes: jboss-connector-api_1.6_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-dmr-javadoc = 1.1.1-6.Final_redhat_1.ep6.el6
Obsoletes: jboss-ejb-api_3.1_spec-javadoc = 1.0.2-7.Final_redhat_1.ep6.el6
Obsoletes: jboss-ejb-client-javadoc = 1.0.10-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-interceptors-api_1.1_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-invocation-javadoc = 1.1.1-3.Final_redhat_1.ep6.el6
Obsoletes: jboss-j2eemgmt-api_1.1_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-jaxb-api_2.2_spec-javadoc = 1.0.4-1.Final_redhat_1.1.ep6.el6
Obsoletes: jboss-jaxr-api_1.0_spec-javadoc = 1.0.2-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-jaxrs-api_1.1_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-jaxws-api_2.2_spec-javadoc = 2.0.1-2.Final_redhat_1.ep6.el6
Obsoletes: jboss-jms-api_1.1_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-jsf-api_2.1_spec-javadoc = 2.0.2-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-jsp-api_2.2_spec-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-logging-javadoc = 3.1.1-1.GA_redhat_1.ep6.el6
Obsoletes: jboss-logmanager-javadoc = 1.3.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-marshalling-javadoc = 1.3.14-2.GA_redhat_1.ep6.el6
Obsoletes: jboss-saaj-api_1.3_spec-javadoc = 1.0.2-1_redhat_1.ep6.el6
Obsoletes: jboss-sasl-javadoc = 1.0.1-1.Final_redhat_1.ep6.el6
Obsoletes: jboss-threads-javadoc = 2.0.0-4.GA_redhat_1.1.ep6.el6
Obsoletes: jboss-transaction-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el6
Obsoletes: jboss-vfs2-javadoc = 3.1.0-1.Final_redhat_1.ep6.el6.1
Obsoletes: jbossws-api-javadoc = 1.0.0-1.GA_redhat_1.ep6.el6
Obsoletes: jboss-xnio-base-javadoc = 3.0.4-2.GA_redhat_1.ep6.el6
Obsoletes: jdom-eap6-javadoc = 1.1.2-1.GA_redhat_1.ep6.el6
Obsoletes: jgroups-javadoc = 3.0.9-1.Final_redhat_1.ep6.el6
Obsoletes: joda-time-javadoc = 1.6.2-3.3_redhat_1.ep6.el6.1
Obsoletes: juddi-javadoc = 3.1.3-1_redhat_1.1.ep6.el6
Obsoletes: org.osgi-javadoc = 4.2.0-4.redhat_1.ep6.el6
Obsoletes: picketbox-javadoc = 4.0.9-1.Final_redhat_1.ep6.el6
Obsoletes: picketbox-commons-javadoc = 1.0.0-0.6.final_redhat_1.ep6.el6
Obsoletes: resteasy-javadoc = 2.3.3-4.Final_redhat_1.ep6.el6
Obsoletes: slf4j-eap6-javadoc = 1.6.1-19.redhat_1.ep6.el6
Obsoletes: sun-ws-metadata-2.0-api-javadoc = 1.0.MR1-12_MR1_redhat_1.ep6.el6.1
Obsoletes: wsdl4j-eap6-javadoc = 1.6.2-10.ep6.el6
Obsoletes: xalan-j2-eap6-javadoc = 2.7.1-6.9_redhat_1.2.ep6.el6
Obsoletes: xerces-j2-eap6-javadoc = 2.9.1-10.3_redhat_1.2.ep6.el6
%else
Obsoletes: apache-commons-configuration-javadoc = 1.6-6.3.redhat_1.ep6.el5
Obsoletes: atinject-javadoc = 1-8.2_redhat_1.ep6.el5.1
Obsoletes: dom4j-javadoc = 1.6.1-11.8_redhat_1.ep6.el5.1
Obsoletes: glassfish-jaf-javadoc = 1.1.1-11.redhat_1.ep6.el5
Obsoletes: glassfish-javamail-javadoc = 1.4.4-13_redhat_1.ep6.el5
Obsoletes: glassfish-jsf12-javadoc = 1.2_15-8_b01_redhat_1.ep6.el5
Obsoletes: glassfish-jsf-javadoc = 2.1.7-6_redhat_1.ep6.el5
Obsoletes: hibernate3-commons-annotations-javadoc = 4.0.1-3.Final_redhat_1.1.ep6.el5.1
Obsoletes: hibernate4-validator-javadoc = 4.2.0-5.Final_redhat_1.1.ep6.el5.1
Obsoletes: httpserver-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-annotations-api_1.1_spec-javadoc = 1.0.1-2.1.Final_redhat_1.ep6.el5
Obsoletes: jboss-connector-api_1.6_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-dmr-javadoc = 1.1.1-6.Final_redhat_1.ep6.el5
Obsoletes: jboss-ejb-api_3.1_spec-javadoc = 1.0.2-8.Final_redhat_1.ep6.el5
Obsoletes: jboss-ejb-client-javadoc = 1.0.10-1.Final_redhat_1.ep6.el5
Obsoletes: jboss-interceptors-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-invocation-javadoc = 1.1.1-4.Final_redhat_1.ep6.el5
Obsoletes: jboss-j2eemgmt-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jacc-api_1.4_spec-javadoc = 1.0.2-3.Final_redhat_1.ep6.el5
Obsoletes: jboss-jad-api_1.2_spec-javadoc = 1.0.1-4.Final_redhat_1.ep6.el5
Obsoletes: jboss-jaspi-api_1.0_spec-javadoc = 1.0.1-4.Final_redhat_1.ep6.el5
Obsoletes: jboss-jaxb-api_2.2_spec-javadoc = 1.0.4-1.Final_redhat_1.1.ep6.el5
Obsoletes: jboss-jaxr-api_1.0_spec-javadoc = 1.0.2-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jaxrpc-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jaxrs-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jaxws-api_2.2_spec-javadoc = 2.0.1-3.Final_redhat_1.ep6.el5
Obsoletes: jboss-jms-api_1.1_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jsf-api_2.1_spec-javadoc = 2.0.2-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-jsp-api_2.2_spec-javadoc = 1.0.1-2.Final_redhat_1.ep6.el5
Obsoletes: jboss-logging-javadoc = 3.1.1-1.GA_redhat_1.ep6.el5
Obsoletes: jboss-logmanager-javadoc = 1.3.1-1.Final_redhat_1.ep6.el5
Obsoletes: jboss-marshalling-javadoc = 1.3.14-2.GA_redhat_1.ep6.el5
Obsoletes: jboss-saaj-api_1.3_spec-javadoc = 1.0.2-2_redhat_1.ep6.el5
Obsoletes: jboss-sasl-javadoc = 1.0.1-1.Final_redhat_1.ep6.el5
Obsoletes: jboss-servlet-api_3.0_spec-javadoc = 1.0.1-3.Final_redhat_1.ep6.el5
Obsoletes: jboss-threads-javadoc = 2.0.0-5.GA_redhat_1.ep6.el5
Obsoletes: jboss-transaction-api_1.1_spec-javadoc = 1.0.1-3.Final_redhat_1.ep6.el5
Obsoletes: jboss-vfs2-javadoc = 3.1.0-1.Final_redhat_1.ep6.el5.1
Obsoletes: jbossws-api-javadoc = 1.0.0-2.GA_redhat_1.ep6.el5
Obsoletes: jboss-xnio-base-javadoc = 3.0.4-2.GA_redhat_1.ep6.el5
Obsoletes: jdom-eap6-javadoc = 1.1.2-1.GA_redhat_1.ep6.el5
Obsoletes: jgroups-javadoc = 3.0.9-1.Final_redhat_1.ep6.el5
Obsoletes: joda-time-javadoc = 1.6.2-3.3_redhat_1.ep6.el5.1
Obsoletes: juddi-javadoc = 3.1.3-2_redhat_1.1.ep6.el5
Obsoletes: log4j-jboss-logmanager-javadoc = 1.0.0-1.Final_redhat_1.ep6.el5
Obsoletes: org.osgi-javadoc = 4.2.0-4.redhat_1.ep6.el5
Obsoletes: picketbox-javadoc = 4.0.9-1.Final_redhat_1.ep6.el5
Obsoletes: picketbox-commons-javadoc = 1.0.0-0.7.final_redhat_1.ep6.el5
Obsoletes: resteasy-javadoc = 2.3.3-4.Final_redhat_1.ep6.el5
Obsoletes: slf4j-eap6-javadoc = 1.6.1-19.redhat_1.ep6.el5
Obsoletes: sun-ws-metadata-2.0-api-javadoc = 1.0.MR1-12_MR1_redhat_1.ep6.el5.1
Obsoletes: wsdl4j-eap6-javadoc = 1.6.2-10.ep6.el5
Obsoletes: xalan-j2-eap6-javadoc = 2.7.1-6.11.redhat_1.ep6.el5
Obsoletes: xerces-j2-eap6-javadoc = 2.9.1-10.5_redhat_1.ep6.el5
%endif


%description
Javadocs for the JBoss EAP 6 AS public APIs, including some dependencies
These can be accessed at file:/usr/share/javadoc/jbossas
and contain a top level index that facilitates navigation.
All scattered old javadoc subpackages have been obsoleted.


%prep
%setup -q -c -n jbossas-javadocs
%{__rm} -fr META-INF

%build
# Built elsewhere by Ondrej Zizka

%install
%{__rm} -rf %{buildroot}

# javadoc
# Note that we instal under jbossas, not jbossas-javadocs
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossas-%{namedversion}
%{__cp} -pr * %{buildroot}%{_javadocdir}/jbossas-%{namedversion}
%{__ln_s} jbossas-%{namedversion} %{buildroot}%{_javadocdir}/jbossas


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossas-%{namedversion}
%{_javadocdir}/jbossas


%changelog
* Thu Feb 06 2014 Fernando Nasser <fnasser@redhat.com> - 0:7.3.1-3.Final_redhat_3
- EAP 6.2.1.CR4

* Mon Jan 27 2014 Yong Yang <yyang@redhat.com> - 0:7.3.1-2.Final_redhat_2
- EAP 6.2.1.CR3

* Fri Jan 17 2014 Yong Yang <yyang@redhat.com> - 0:7.3.1-1.Final_redhat_1
- EAP 6.2.1.CR1

* Thu Nov 21 2013 Yong Yang <yyang@redhat.com> - 0:7.3.0-14.Final_redhat_14
- EAP 6.2.0.CR3

* Wed Nov 20 2013 Yong Yang <yyang@redhat.com> - 0:7.3.0-13.Final_redhat_13
- EAP 6.2.0.CR2

* Thu Oct 31 2013 Yong Yang <yyang@redhat.com> - 0:7.3.0-3.Final_redhat_10
- EAP 6.2.0.ER7

* Tue Oct 08 2013 Yong Yang <yyang@redhat.com> - 0:7.3.0-2.Final_redhat_8
- EAP 6.2.0.ER5

* Thu Sep 22 2013 Yong Yang <yyang@redhat.com> - 0:7.3.0-1.Final_redhat_6
- EAP 6.2.0.ER3

* Thu Aug 29 2013 Yong Yang <yyang@redhat.com> - 0:7.2.1-3.Final_redhat_10
- Use ER7 javadoc zip

* Fri Aug 23 2013 Yong Yang <yyang@redhat.com> - 0:7.2.1-2.Final_redhat_10
- EAP 6.1.1 ER7

* Wed Aug 21 2013 Yong Yang <yyang@redhat.com> - 0:7.2.1-2.Final_redhat_9
- EAP 6.1.1 ER6

* Fri Jul 19 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.1-2.Final_redhat_8
- EAP 6.1.1 ER5

* Fri Jul 19 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.1-1.Final_redhat_4
- EAP 6.1.1 ER3

* Tue May 07 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Wed Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.0-3.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.0-2.Final_redhat_4
- EAP 6.1.0 ER4

* Wed Mar 27 2013 Fernando Nasser <fnasser@redhat.com> - 0:7.2.0-1.Final_redhat_3
- EAP 6.1.0 ER3

* Wed Nov 21 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Thu Sep 20 2012 Permaine Cheung <pcheung@redhat.com> - 0:7.1.3-3.Final_redhat_2
- Split Obsoletes into RHEL 5 and 6 sets

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.3-2.Final_redhat_2
- Update pre-built Javadocs

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.3-1.1.Final_redhat_2
- Remove all (now stale) individual javadoc subpackages shipped with GA

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.3-1.Final_redhat_2
- First build of the new javadocs package for the EAP 6 AS
